<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layout/Default}">
    <head>
        <title>Gestion de departamentos</title>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    </head>
    <body>
        <div layout:fragment="content">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        <button  type="button" data-toggle="modal" data-target="#modal-nuevo-departamento"  class="btn btn-primary btn-icon-split">                            
                            <span class="text">Agregar Departamento</span>
                        </button ></h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataTable" class="table table-bordered" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Jefatura</th>                                   
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                        </table>
                    </div>        
                </div>                
            </div>
            <div class="modal fade" id="modal-nuevo-departamento" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Nuevo departamento</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="save-form-departamento">
                                <div class="form-group">
                                    <label for="nombre" class="col-form-label">Nombre</label> 
                                    <input type="text" id="nombre" name="nombre" class="form-control" th:field="*{departamento.nombre}" placeholder="Nombre" />
                                </div>
                                <div class="form-group">
                                    <label for="jefatura" class="col-form-label">Jefatura</label> 
                                    <select id="jefatura" name="jefatura" class="form-control" th:field="*{departamento.jefatura}">
                                        <option th:each="jefatura : ${jefaturas}" th:value="${jefatura.id}" th:text="${jefatura.nombre}"></option>
                                    </select>  
                                </div>                                           
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="nuevo-btn" type="button" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="modal-editar-departamento" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Editar Departamento</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="update-form-departamento" >
                                <input type="hidden" id="idDepartamento" name="idDepartamento" />
                                <div class="form-group">
                                    <label for="nombre" class="col-form-label">Nombre</label> 
                                    <input type="text" id="nombreEdit" name="nombreEdit" class="form-control" th:field="*{departamento.nombre}" placeholder="Nombre" />
                                </div>
                                <div class="form-group">
                                    <label for="jefaturaEdit" class="col-form-label">Jefatura</label> 
                                    <select id="jefaturaEdit" name="jefaturaEdit" class="form-control" th:field="*{departamento.jefatura}">
                                        <option th:each="jefatura : ${jefaturas}" th:value="${jefatura.id}" th:text="${jefatura.nombre}"></option>
                                    </select>  
                                </div>                       
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="editar-btn" type="button" class="btn btn-primary">Actualizar</button>
                        </div>
                    </div>
                </div>
            </div>           
        </div>
        <th:block layout:fragment="opt_js">
            <script type="text/javascript" th:src="@{/vendor/jquery-validation/dist/jquery.validate.min.js}"></script>            
            <script type="text/javascript" th:src="@{/paginas/crudDepartamento.js}"></script>
            <script type="text/javascript" th:src="@{/vendor/jquery-validation/dist/messages_es.js}"></script>         
        </th:block>
    </body>